body {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

#app {
  min-height: 110vh;
  padding: 0.2rem 0.15rem 0.3rem 0.15rem;
  box-sizing: border-box;
  background-color: #fff2dd;
  background-image: url(../img/bg.png);
  background-repeat: repeat;
}
.swiper {
  width: 100%;
  height: 2rem;
  margin: 0 auto 0.3rem auto;
  border-radius: 0.05rem;
  --swiper-theme-color: #fff;
  --swiper-pagination-color: #fff; /* 两种都可以 */
}
.swiper-slide {
  text-align: center;
  font-size: 0.18rem;
  background: #fff;
  border-radius: 0.05rem;
  /* Center slide text vertically */
  display: -webkit-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  -webkit-justify-content: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  -webkit-align-items: center;
  align-items: center;
}
.blue {
  background-color: skyblue;
  background: url(../img/img2.png) no-repeat;
  background-size: cover;
}
.red {
  background-color: red;
}
.pink {
  background-color: pink;
}
.yellow {
  background-color: yellow;
}
.reservation {
  display: flex;
  justify-content: space-between;
  margin-bottom: 0.5rem;
}
.btn {
  width: 1.63rem;
  height: 0.8rem;
  z-index: 1;
  display: block;
}
.main {
  margin-bottom: 0.5rem;
}
.title {
  color: #a32b28;
  font-size: 0.22rem;
}
.header {
  display: flex;
  justify-content: space-between;
}
.content {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}
.item {
  flex: 1;
  flex-shrink: 0;
  margin-top: 0.2rem;
  &:nth-of-type(2n) {
    margin-left: 0.2rem;
  }
}
.item:active {
  background: rgb(173, 220, 229);
}
.photo {
  width: 1.62rem;
  height: 1.62rem;
  border-radius: 0.05rem;
  display: block;
  margin-bottom: 0.1rem;
}
.text {
  max-width: 100%;
  max-height: 0.5rem;
  font-size: 0.14rem;
  color: #333333;
  text-overflow: -o-ellipsis-lastline;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  line-clamp: 2;
  -webkit-box-orient: vertical;
}
.info-content {
  margin-top: 0.2rem;
  padding-bottom: 0.2rem;
}
.info {
  display: flex;
  margin-top: 0.16rem;
}
.left-banner {
  width: 1.2rem;
  height: 1.2rem;
  border-radius: 0.05rem;
}
.right {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding-left: 0.16rem;
}

.info-text {
  max-height: 1rem;
  font-size: 0.16rem;
  color: #333333;
  text-overflow: -o-ellipsis-lastline;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  line-clamp: 3;
  -webkit-box-orient: vertical;
}
.time {
  font-size: 0.14rem;
  color: #666666;
}

/* .icon1,
.icon2 {
  transform: translate(0.15rem, 0);
} */
